Bug 97145 - Ugly traceback starting redhat-config-network-gui from a console
Ugly traceback starting redhat-config-network-gui from a console
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 16:51 EDT by Peter van Egdom
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 07:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2003-06-10 16:51:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:

Starting "redhat-config-network-gui" in a console (e.g. Putty from a Windows
computer to Red Hat 9 computer) results in an ugly traceback.

Version-Release number of selected component (if applicable):
1.3.0-1

How reproducible:
Always

Steps to Reproduce:
1. start "redhat-config-network-gui" in a virtual console
2.
3.
    

Actual Results:  
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 68, in <lambda>
    PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 268, in
handleException
    rc = exceptionWindow (_("Exception Occurred"), text, progname)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 165, in
exceptionWindow
    win = ExceptionWindow (text, name)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 34, in __init__
    win = gtk.Dialog(_("Exception Occured"), None, gtk.DIALOG_MODAL)
AttributeError: 'module' object has no attribute 'Dialog'

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 72, in ?
    import gtk
  File
"/usr/src/build/218821-i386/install/usr/lib/python2.2/site-packages/gtk-2.0/gtk/__init__.py",
line 43, in ?
RuntimeError: could not open display


Expected Results:
Unable to initialize graphical environment. Most likely cause of failure is that
the tool was not run using a graphical environment.
Please either start your graphical user interface or set your DISPLAY variable.
Caught exception: could not open display


Additional info:
Comment 1 Harald Hoyer 2003-06-27 07:04:23 EDT
fixed...

Note You need to log in before you can comment on or make changes to this bug.